clang-tools 10.0.0

Classes | Namespaces | Functions
SymbolInfo.h File Reference
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/YAMLTraits.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <set>`
`#include <string>`
`#include <vector>`
Include dependency graph for SymbolInfo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::find_all_symbols::SymbolInfo
| Describes a named symbol from a header. More...
struct | clang::find_all_symbols::SymbolInfo::Signals
struct | clang::find_all_symbols::SymbolAndSignals

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::find_all_symbols

## Functions
bool | clang::find_all_symbols::WriteSymbolInfosToStream (llvm::raw_ostream &OS, const SymbolInfo::SignalMap &Symbols)
| Write SymbolInfos to a stream (YAML format). More...
std::vector< SymbolAndSignals > | clang::find_all_symbols::ReadSymbolInfosFromYAML (llvm::StringRef Yaml)
| Read SymbolInfos from a YAML document. More...